
From: Adrian Bunk <bunk@stusta.de>

This patch fixes an off by one error found by the Coverity checker.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/udf/udftime.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/udf/udftime.c~fs-udf-udftimec-fix-off-by-one-error fs/udf/udftime.c
--- 25/fs/udf/udftime.c~fs-udf-udftimec-fix-off-by-one-error	2005-04-12 19:30:25.698606648 -0700
+++ 25-akpm/fs/udf/udftime.c	2005-04-12 19:30:25.701606192 -0700
@@ -103,7 +103,7 @@ udf_stamp_to_time(time_t *dest, long *de
 		offset = 0;
 
 	if ((src.year < EPOCH_YEAR) ||
-		(src.year > EPOCH_YEAR+MAX_YEAR_SECONDS))
+		(src.year >= EPOCH_YEAR+MAX_YEAR_SECONDS))
 	{
 		*dest = -1;
 		*dest_usec = -1;
_
